package com.fjhx.u.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.u.UUser;
import com.fjhx.params.u.UUserVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 管理员 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-28
 */
public interface UUserService extends BaseService<UUser> {

    Page<UUser> getPage(Map<String, Object> condition);

    void add(UUserVo uUserVo);

    void edit(UUserVo uUserVo);

    void delete(UUserVo uUserVo);

    List<Map<String, Object>> getList(Map<String, Object> condition);

}
